RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType

Provides a means for referencing a managed object from unmanaged memory.

Use a when an object reference is required to be accessible from unmanaged memory.

The enumeration describes the possible types.

If the type of the is , then it is an opaque handle, and the address of the object it references cannot be resolved through it.

- Method
  System.IntPtr

  Returns the address of an object being referred to by a handle.

  A containing the address of the of the object as a .

  To be added. The handle type is not .

  Requires permission to call unmanaged code. See .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.InteropServices.GCHandle `` The object for which the is created. Can be .

  Allocates a handle for the specified object.

  A new instance that protects the object from garbage collection.

  A handle ensures the object will not be collected by the garbage collector.

  If the parameter is , this method returns a valid . The target of the handle can be changed via the property.

  Requires permission to call unmanaged code. See .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.InteropServices.GCHandle `` `` The object for which the is created. Can be . A value that specifies the type of to create. To be added.

  Allocates a handle of the specified type for the specified object.

  A new instance that protects the object.

  If the parameter is , this method returns a valid . The target of the handle can be changed via the property.

  Requires permission to call unmanaged code. See .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void

  Frees a .

  The caller is required to provide synchronization to prevent multiple threads from executing this method simultaneously for a given handle.

  The handle has already been freed or was never initialized.

  Requires permission to call unmanaged code. See .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.InteropServices.GCHandle `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current instance is allocated.

  if the handle is allocated; otherwise, .

  This property is read-only.

  Use this method to determine whether the

  is still available.

  When the garbage collector collects the object, the handle could still be resurrected in the finalizer.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Runtime.InteropServices.GCHandle `` The to be converted.

  Convert a to a instance.

  A .

  instances are stored using an internal integer representation. This method allows you to retrieve a from its integer representation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.IntPtr `` The to be converted.

  Converts a instance to a .

  A representation of the specified .

  instances are stored using an internal integer representation. This method allows you to retrieve that representation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Object

  Gets or sets a reference to the object the current instance represents.

  The object this handle represents.

  To be added.

  The current instance has already been freed or was never initialized.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.IntPtr `` To be added. To be added. To be added. To be added. 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)